Name:           gifsicle
Version:        1.90
Release:        %mkrel 1
Summary:        Powerful program for manipulating GIF images and animations
Summary(de):	Mächtiges Programm zum Manipulieren von GIF Bildern und Animationen
Group:          Graphics
License:        GPLv2+
URL:            http://www.lcdf.org/gifsicle/
Source0:	http://www.lcdf.org/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	%{_lib}x11-devel
Obsoletes:	ungifsicle < %version
Provides:	ungifsicle = %version-%release

%description
Gifsicle is a command-line tool for creating, editing, and getting
information about GIF images and animations.

Some more gifsicle features:

    * Batch mode for changing GIFs in place.
    * Prints detailed information about GIFs, including comments.
    * Control over interlacing, comments, looping, transparency...
    * Creates well-behaved GIFs: removes redundant colors, only
      uses local color tables if it absolutely has to (local color
      tables waste space and can cause viewing artifacts), etc.
    * It can shrink colormaps and change images to use the Web-safe
      palette (or any colormap you choose).
    * Optimize your animations! This stores only the changed portion
      of each frame, and can radically shrink your GIFs. You can
      also use transparency to make them even smaller.
      Gifsicle’s optimizer is pretty powerful, and usually reduces
      animations to within a couple bytes of the best commercial
      optimizers.
    * Unoptimizing animations, which makes them easier to edit.
    * A dumb name.

Two other programs are included with gifsicle: 
    * gifview is a lightweight animated-GIF viewer which can show
      animations as slideshows or in real time
    * gifdiff compares two GIFs for identical visual appearance.

%description -l de
Gifsicle manipuliert GIF-Bilddateien auf der Kommandozeile. Es unterstützt das 
Zusammenfügen von verschiedenen GIFs in eine GIF-Animation. Folgende Funktionen
werden für Animationen geboten:

* aufteilen der Animation in Komponentenbilder
* verändern von individuellen Bildern in der Animation
* ein/ausschalten von Interlancing
* hinzufügen von Transparenz
* hinzufügen von Verzögerungen, Beseitigungen und Schleifen
* hinzufügen oder entfernen von Kommentaren
* Optimierung von Animationen und verändern der Farbmappen für Bilder
* viele andere Sachen

Das gifsicle Paket enthält zwei weitere Programme: gifview, ein einfacher 
GIF-Betrachter für X, der Animationen als Diaschau oder in Echtzeit anzeigen
kann. Weiterhin gehört gifdiff zu den zwei Programmen, welches zwei GIFs auf
die Übereinstimmung von visuellen Effekten überprüft.

Diese Programme nutzen nicht die LZW Komprimierung um Patentproblemen vorzubeugen.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%files
%defattr(-,root,root)
%doc COPYING README.md
%{_bindir}/%{name}
%{_bindir}/gifdiff
%{_bindir}/gifview
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/gifdiff.1*
%{_mandir}/man1/gifview.1*


%clean
rm -rf %buildroot


%changelog
* Thu Nov 15 2018 adrianomorselli <adrianomorselli> 1.90-1uplos2018
- update
